Bug 1285266 - [abrt] dolphin: QBasicAtomicOps<4>::ref<int>(): dolphin killed by SIGSEGV
[abrt] dolphin: QBasicAtomicOps<4>::ref<int>(): dolphin killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dolphin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3e317b1337762cf63d1d235dae8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 05:18 EST by ofgod69
Modified: 2016-12-20 11:16 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.93 KB, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: core_backtrace (14.63 KB, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: dso_list (21.66 KB, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: environ (1.59 KB, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: exploitable (110 bytes, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: maps (90.73 KB, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: mountinfo (3.15 KB, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: open_fds (3.02 KB, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: proc_pid_status (1003 bytes, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details
File: var_log_messages (308 bytes, text/plain)
2015-11-25 05:18 EST, ofgod69
no flags Details

  None (edit)
Description ofgod69 2015-11-25 05:18:28 EST
Version-Release number of selected component:
dolphin-15.08.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/dolphin
crash_function: QBasicAtomicOps<4>::ref<int>
executable:     /usr/bin/dolphin
global_pid:     2268
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QBasicAtomicOps<4>::ref<int> at ../../src/corelib/arch/qatomic_x86.h:181
 #1 QBasicAtomicInteger<int>::ref at ../../src/corelib/thread/qbasicatomic.h:129
 #2 QtSharedPointer::ExternalRefCountData::getAndRef at tools/qsharedpointer.cpp:1343
 #3 QWeakPointer<QObject>::QWeakPointer<QObject> at ../../src/corelib/tools/qsharedpointer_impl.h:696
 #4 QWeakPointer<QObject>::assign<QObject> at ../../src/corelib/tools/qsharedpointer_impl.h:692
 #5 QPointer<QWidget>::operator= at ../../src/corelib/kernel/qpointer.h:67
 #6 QWidgetWindow::handleMouseEvent at kernel/qwidgetwindow.cpp:453
 #7 QWidgetWindow::event at kernel/qwidgetwindow.cpp:210
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #9 QApplication::notify at kernel/qapplication.cpp:3499
Comment 1 ofgod69 2015-11-25 05:18:33 EST
Created attachment 1098658 [details]
File: backtrace
Comment 2 ofgod69 2015-11-25 05:18:35 EST
Created attachment 1098659 [details]
File: cgroup
Comment 3 ofgod69 2015-11-25 05:18:36 EST
Created attachment 1098660 [details]
File: core_backtrace
Comment 4 ofgod69 2015-11-25 05:18:38 EST
Created attachment 1098661 [details]
File: dso_list
Comment 5 ofgod69 2015-11-25 05:18:39 EST
Created attachment 1098662 [details]
File: environ
Comment 6 ofgod69 2015-11-25 05:18:41 EST
Created attachment 1098663 [details]
File: exploitable
Comment 7 ofgod69 2015-11-25 05:18:42 EST
Created attachment 1098664 [details]
File: limits
Comment 8 ofgod69 2015-11-25 05:18:45 EST
Created attachment 1098665 [details]
File: maps
Comment 9 ofgod69 2015-11-25 05:18:46 EST
Created attachment 1098666 [details]
File: mountinfo
Comment 10 ofgod69 2015-11-25 05:18:47 EST
Created attachment 1098667 [details]
File: namespaces
Comment 11 ofgod69 2015-11-25 05:18:49 EST
Created attachment 1098668 [details]
File: open_fds
Comment 12 ofgod69 2015-11-25 05:18:50 EST
Created attachment 1098669 [details]
File: proc_pid_status
Comment 13 ofgod69 2015-11-25 05:18:51 EST
Created attachment 1098670 [details]
File: var_log_messages
Comment 14 Alvin 2016-03-03 03:42:26 EST
Steps to reproduce.
1. Open Dolphin
2. Control > Configure Dolphin
3. Crash
Comment 15 Fedora End Of Life 2016-11-24 08:43:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Christian Stadelmann 2016-11-24 11:49:04 EST
This issue is gone on F25.
Comment 17 Fedora End Of Life 2016-12-20 11:16:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.